# Change log

All notable changes to this project will be documented in this file. The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org).

## [v4.1.0](https://github.com/rtib/puppet-geoip/tree/v4.1.0) (2021-10-04)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v4.0.1...v4.1.0)

### Added

- Incur systemd units on Debian-11 [\#42](https://github.com/rtib/puppet-geoip/pull/42) ([rtib](https://github.com/rtib))

### Fixed

- fix acceptance test [\#43](https://github.com/rtib/puppet-geoip/pull/43) ([rtib](https://github.com/rtib))
- \[MODULES-11118\] enforce template conformance to meet requirements [\#40](https://github.com/rtib/puppet-geoip/pull/40) ([rtib](https://github.com/rtib))

## [v4.0.1](https://github.com/rtib/puppet-geoip/tree/v4.0.1) (2021-09-10)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v4.0.0...v4.0.1)

### Fixed

- add config version to Debian-11 setup [\#39](https://github.com/rtib/puppet-geoip/pull/39) ([rtib](https://github.com/rtib))

## [v4.0.0](https://github.com/rtib/puppet-geoip/tree/v4.0.0) (2021-09-02)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v3.2.1...v4.0.0)

### Changed

- \[BREAKING\] change dependencies [\#37](https://github.com/rtib/puppet-geoip/pull/37) ([rtib](https://github.com/rtib))

### Added

- add support for Debian-11 [\#38](https://github.com/rtib/puppet-geoip/pull/38) ([rtib](https://github.com/rtib))

## [v3.2.1](https://github.com/rtib/puppet-geoip/tree/v3.2.1) (2021-08-03)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v3.2.0...v3.2.1)

### Fixed

- Cleanup dependencies [\#35](https://github.com/rtib/puppet-geoip/pull/35) ([rtib](https://github.com/rtib))

## [v3.2.0](https://github.com/rtib/puppet-geoip/tree/v3.2.0) (2021-06-25)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v3.1.0...v3.2.0)

### Added

- Add Ubuntu as a supported system [\#33](https://github.com/rtib/puppet-geoip/pull/33) ([smortex](https://github.com/smortex))

### Fixed

- Unbreak catalog compilation when systemd\_version is undef [\#32](https://github.com/rtib/puppet-geoip/pull/32) ([smortex](https://github.com/smortex))

## [v3.1.0](https://github.com/rtib/puppet-geoip/tree/v3.1.0) (2021-06-16)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v3.0.1...v3.1.0)

### Added

- Support EL7 and EL8 [\#31](https://github.com/rtib/puppet-geoip/pull/31) ([treydock](https://github.com/treydock))

## [v3.0.1](https://github.com/rtib/puppet-geoip/tree/v3.0.1) (2021-05-26)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v3.0.0...v3.0.1)

### Fixed

- some doc typo fixed [\#30](https://github.com/rtib/puppet-geoip/pull/30) ([rtib](https://github.com/rtib))

## [v3.0.0](https://github.com/rtib/puppet-geoip/tree/v3.0.0) (2021-05-03)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v2.2.0...v3.0.0)

### Changed

- update requirements and dependencies - drop Puppet 5 [\#29](https://github.com/rtib/puppet-geoip/pull/29) ([rtib](https://github.com/rtib))

## [v2.2.0](https://github.com/rtib/puppet-geoip/tree/v2.2.0) (2021-03-25)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v2.1.1...v2.2.0)

### Added

- add user and group to update service [\#27](https://github.com/rtib/puppet-geoip/pull/27) ([rtib](https://github.com/rtib))

### Fixed

- Execute timer if last run was missed [\#26](https://github.com/rtib/puppet-geoip/pull/26) ([saz](https://github.com/saz))

## [v2.1.1](https://github.com/rtib/puppet-geoip/tree/v2.1.1) (2020-06-19)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v2.1.0...v2.1.1)

### Fixed

- Fix warning\(\) function name [\#25](https://github.com/rtib/puppet-geoip/pull/25) ([smortex](https://github.com/smortex))

## [v2.1.0](https://github.com/rtib/puppet-geoip/tree/v2.1.0) (2020-05-05)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v2.0.0...v2.1.0)

### Added

- direct stdout and stderr to systemd journal [\#22](https://github.com/rtib/puppet-geoip/pull/22) ([rtib](https://github.com/rtib))
- Restart update service on abnormal termination [\#21](https://github.com/rtib/puppet-geoip/pull/21) ([rtib](https://github.com/rtib))

## [v2.0.0](https://github.com/rtib/puppet-geoip/tree/v2.0.0) (2020-02-14)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v1.0.1...v2.0.0)

### Changed

- major refactoring - convert acceptance tests to litmus [\#12](https://github.com/rtib/puppet-geoip/pull/12) ([rtib](https://github.com/rtib))

### Added

- simplifying and documenting things [\#16](https://github.com/rtib/puppet-geoip/pull/16) ([rtib](https://github.com/rtib))
- Add support for Debian-10 [\#15](https://github.com/rtib/puppet-geoip/pull/15) ([rtib](https://github.com/rtib))
- Add support for geoipupdate version 3.1.1 configuration file [\#14](https://github.com/rtib/puppet-geoip/pull/14) ([rtib](https://github.com/rtib))

### Fixed

- changelog contains broken links [\#10](https://github.com/rtib/puppet-geoip/pull/10) ([rtib](https://github.com/rtib))

## [v1.0.1](https://github.com/rtib/puppet-geoip/tree/v1.0.1) (2018-12-19)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v1.0.0...v1.0.1)

### Fixed

- label all prs and update changelog [\#7](https://github.com/rtib/puppet-geoip/pull/7) ([rtib](https://github.com/rtib))

## [v1.0.0](https://github.com/rtib/puppet-geoip/tree/v1.0.0) (2018-12-19)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v0.2.0...v1.0.0)

### Changed

- add systemd timer unit to update [\#6](https://github.com/rtib/puppet-geoip/pull/6) ([rtib](https://github.com/rtib))

## [v0.2.0](https://github.com/rtib/puppet-geoip/tree/v0.2.0) (2018-12-07)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/v0.1.1...v0.2.0)

### Added

- improve acceptance tests [\#4](https://github.com/rtib/puppet-geoip/pull/4) ([rtib](https://github.com/rtib))
- convert to pdk 1.8.0 and upstream templates [\#2](https://github.com/rtib/puppet-geoip/pull/2) ([rtib](https://github.com/rtib))

### Fixed

- remove-legacy [\#3](https://github.com/rtib/puppet-geoip/pull/3) ([rtib](https://github.com/rtib))

## [v0.1.1](https://github.com/rtib/puppet-geoip/tree/v0.1.1) (2018-11-30)

[Full Changelog](https://github.com/rtib/puppet-geoip/compare/d9af6bbfd50e5b1536080889d519792488659180...v0.1.1)



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
